Package org.apache.lucene.monitor

## Class SlowLog

- java.lang.Object
- - org.apache.lucene.monitor.SlowLog

- All Implemented Interfaces:
    `Iterable<SlowLog.Entry>`

      public class SlowLog
      extends Object
      implements Iterable<SlowLog.Entry>

  Reports on slow queries in a given match run

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SlowLog.Entry` | An individual entry in the slow log

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SlowLog()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Iterator<SlowLog.Entry>` | `iterator()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### SlowLog

          public SlowLog()

  - ### Method Detail

    - #### iterator

          public Iterator<SlowLog.Entry> iterator()

      Specified by:
        `iterator` in interface `Iterable<SlowLog.Entry>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`